%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jandex
Version:          1.2.2
Release:          %mkrel 4
Summary:          Java Annotation Indexer
Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jandex
Source0:          https://github.com/wildfly/jandex/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-surefire-provider-junit
BuildRequires:    maven-enforcer-plugin
BuildRequires:    junit
BuildRequires:    jboss-parent

%description
This package contains Java Annotation Indexer

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jandex-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.2.2-4.mga6
+ Revision: 981970
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.2.2-3.mga6
+ Revision: 976500
- First rebuild of the java stack
- sync package jandex with fedora
- imported package jandex

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 739267
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 541716
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.1.0-1.mga4
+ Revision: 496388
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-6.mga3
+ Revision: 354736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.0.3-5.mga3
+ Revision: 291370
- Allow to put index file into a jar
- Added maven-enforcer-plugin BR

* Thu Mar 01 2012 gil <gil> 1.0.3-0.Final.1.mga3
+ Revision: 216311
- update to 1.0.3.Final
- imported package jandex

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Clean spec file


* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 1.2.2-1
- Upstream release 1.2.2.Final

* Tue Jun 24 2014 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-3
- Switch to junit

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 11 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1.0-1
- Upstream release 1.1.0.Final

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.3-6
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.3-4
- Allow to put index file into a jar
- Added maven-enforcer-plugin BR

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.3-3
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.3-1
- Upstream release 1.0.3.Final

* Thu Aug 11 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

